> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md).

# 专用解析器

通过设置 parse=true 在 Oxylabs 网页爬虫API 中启用专用解析器。为 Amazon、Google、Walmart 等支持的目标提供结构化 JSON 输出。

对于网页爬虫API的某些来源，我们开发了专用解析器。如果您想获取结构化数据，请添加 `parse` 参数并将其设置为 `true`。更多详情请参阅相应的目标页面。

<table><thead><tr><th width="180.33333333333331">目标</th><th width="294">来源</th><th>类型</th></tr></thead><tbody><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/e-commerce/amazon"><strong>Amazon</strong></a></td><td><code>amazon</code>,<br><code>amazon_search</code>,<br><code>amazon_product</code>,<br><code>amazon_pricing</code>,<br><code>amazon_bestsellers</code>,<br><code>amazon_sellers</code></td><td>搜索<br>产品<br>商品列表<br>畅销商品<br>卖家</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/search-engines/google"><strong>Google</strong></a></td><td><code>google</code>,<br><code>google_search</code>,<br><code>google_ai_mode</code>,<br><code>google_ads</code>,<br><code>google_lens</code>,<br><code>google_scholar</code>,<br><code>google_shopping_search</code>,<br><code>google_shopping_product</code>,<br><code>google_travel_hotels</code></td><td>网页搜索<br>图片搜索<br>新闻搜索<br>图书搜索<br>AI Overviews<br>AI 模式<br>最高广告费率<br>Lens 搜索<br>Scholar 搜索<br>Google Shopping 搜索<br>Google Shopping 商品<br>旅行酒店</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/video-and-social-media/youtube"><strong>YouTube</strong></a></td><td><code>youtube_metadata</code>,<br><code>youtube_channel</code></td><td>视频元数据<br>频道</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/llms-and-ai/chatgpt"><strong>ChatGPT</strong></a></td><td><code>chatgpt</code></td><td>聊天</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/llms-and-ai/perplexity"><strong>Perplexity</strong></a></td><td><code>perplexity</code></td><td>聊天</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/llms-and-ai/gemini"><strong>Gemini</strong></a></td><td><code>gemini</code></td><td>聊天</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/search-engines/bing"><strong>Bing</strong></a></td><td><code>bing</code>,<br><code>bing_search</code></td><td>搜索</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/e-commerce/walmart"><strong>Walmart</strong></a><br></td><td><code>walmart</code>,<br><code>walmart_search</code>,<br><code>walmart_product</code></td><td>搜索<br>产品<br>类别</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/e-commerce/bestbuy"><strong>Best Buy</strong></a></td><td><code>bestbuy_product</code></td><td>产品</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/e-commerce/etsy"><strong>Etsy</strong></a></td><td><code>etsy</code>,<br><code>etsy_product</code></td><td>产品</td></tr><tr><td><a href="https://developers.oxylabs.io/api-targets/cn/e-commerce/target"><strong>目标</strong></a></td><td><code>target</code>,<br><code>target_search</code>,<br><code>target_product</code></td><td>搜索<br>产品</td></tr><tr><td>Homedepot</td><td><code>universal</code></td><td>产品</td></tr><tr><td>Backmarket</td><td><code>universal</code></td><td>产品</td></tr></tbody></table>

{% hint style="success" %}
如果您想从其他目标获取解析后的数据，请使用 [**自定义解析器**](/products/cn/web-scraper-api/features/custom-parser.md)**.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
